summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-config/install_functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/mv-core/MythVantage-config/install_functions.sh')
-rwxr-xr-xabs/mv-core/MythVantage-config/install_functions.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/abs/mv-core/MythVantage-config/install_functions.sh b/abs/mv-core/MythVantage-config/install_functions.sh
index 84f9c94..1d217e9 100755
--- a/abs/mv-core/MythVantage-config/install_functions.sh
+++ b/abs/mv-core/MythVantage-config/install_functions.sh
@@ -49,9 +49,31 @@ function setupremote {
/usr/sbin/lircd -d /dev/lirc0
mkdir /root/.mythtv
ln -s /etc/lircrc /root/.mythtv/lircrc
+ else
+ echo "Couldn't open directory $TEMPLATES/remotes/$Remotetype"
fi
}
+function scan_for_hpg_receiver() {
+echo "Scanning for Hauppauge receiver"
+for hpgid in `lspci -nm -d4444: |cut -d" " -f6- |tr -d '"'|tr " " :`
+do
+ line=`grep $hpgid $TEMPLATES/remotes/i2c.id`
+ if [ $? = 0 ]
+ then
+ modprobe lirc_i2c
+ FoundReceiverType=`echo "$line"|cut -d"|" -f2`
+ Remotetype=`echo "$line"|cut -d"|" -f4`
+ statusline=`echo "$line"|cut -d"|" -f2,4`
+ echo "Found $statusline , $Remotetype"
+ update_db_settings HostReceiverType $FoundReceiverType
+ setupremote
+ break
+ fi
+
+done
+}
+
function scan_for_usb_remote () {
echo "Scanning for usb receiver/remote"
while read line
@@ -67,6 +89,7 @@ do
break
fi
done <$BASE/$TEMPLATES/remotes/receiver_usb.id
+scan_for_hpg_receiver
}
function rest_of_network () {